{% extends "lab_10/layout/base.html" %}

{% block header %}
{% include "lab_10/partials/header_logged_in.html" %}
{% endblock %}

{% block content %}
<!-- User Login Here -->
{% if user_login %}
<a href="{% url 'lab-10:auth_logout' %}" class="btn btn-primary btn-lg" style="margin-top: 60px; margin-bottom: 8px;"> Logout </a>

{% else %}

<p style="margin-top: 60px;">
    <a href="{% url 'lab-10:list_watch_later' %}" class="btn btn-primary btn-lg "> Daftar <em>Watch Later </em> </a>
</p>

{% endif %}

<br>
<!-- List Movie -->
<style type="text/css">
    td {
        vertical-align: middle;
    }
</style>

<div class="panel panel-info">
    <div class="panel-heading">
        <h2> List Movie </h2>
    </div>
    <div class="panel-body">
        <div style="margin:20px; padding:20px; background-color:lightsteelblue; border-radius:3px;">
            <form method="GET" action="{% url 'lab-10:movie_list' %}" class="form-inline">
                <label> Nama </label> <input type="text" class="form-control" name="judul" placeholder="Judul"
                                             value="{{judul}}">
                <label> Tahun </label> <input type="text" class="form-control" name="tahun" placeholder="Tahun "
                                              value="{{tahun}}">
                <input type="submit" class="btn btn-primary pull-right">
            </form>
        </div>
        <hr>
        <div class="table table-responsive">
            <table class="table table-hover" id="myTable" style="text-align: center;">
                <thead>
                <th width="500" style="text-align: center;"> Judul</th>
                <th style="text-align: center;"> Tahun</th>
                <th style="text-align: center;"> Poster</th>
                <th style="text-align: center;"> Detail</th>
                </thead>
            </table>
        </div>
    </div>
</div>

{% endblock %}

{% block javascript %}
<!-- Jquery script -->
<script type="text/javascript">
    $(document).ready(function(e) {
        $('#myTable').DataTable( {
            "ajax": {
                "dataType" : 'json',
                "contentType": "application/json; charset=utf-8",
                "url": {% autoescape off %} {{ jsonUrlDT }} {% endautoescape%} ,
                "dataSrc":"dataku",
            },
            "columns" : [
                {"data" : "Title"},
                {"data" : "Year"},
                {
                    "data" : "Poster",
                    "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                        $(nTd).html("<img src='"+ oData.Poster +"' style='height:50%' class='img-responsive img-thumbnail'/>");
                    }
                },
                {
                    "data" : null,
                    "fnCreatedCell": function (nTd, sData, oData, iRow, iCol) {
                        $(nTd).html("<a href='/lab-10/movie/detail/"+ oData.imdbID +"' class='btn btn-primary'> Detail </a>");
                    }
                }
            ],
        } );
    });
</script>
{% endblock %}
